Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.util
Class RepositoryUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.util.RepositoryUtil

    public class RepositoryUtil

extends Object

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 22, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `FORCE_READ_ONLY_FLAG`

Constructor Summary
`RepositoryUtil()`

Method Summary
`static boolean` | `createImportLocalCopy(OWLModel model, URI ontologyURI, File localFile)`
`static boolean` | `getBooleanProperty(String propertyName, String query)`
`static File` | `getRepositoryFileFromRelativePath(OWLModel model, String s)`
`static URI` | `getURI(URL baseURL, String relativeURL)`
`static boolean` | `isDublinCoreRedirectedToDLVersion(RepositoryManager manager)`
`static boolean` | `isForcedToBeReadOnly(String query)`
`static void` | `loadProjectRepositoriesFromURI(OWLModel owlModel, URI uri, boolean removeExistingRepositories)` Loads the project repositories from a given URI.
`static void` | `setDublinCoreRedirectedToDLVersion(RepositoryManager manager, boolean redirect)`
`static String` | `stripQuery(String relativeURL)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORCE_READ_ONLY_FLAG

    public static final String FORCE_READ_ONLY_FLAG

See Also:
  Constant Field Values

Constructor Detail

### RepositoryUtil

    public RepositoryUtil()

Method Detail

### isForcedToBeReadOnly

    public static boolean isForcedToBeReadOnly(String query)

### getBooleanProperty

    public static boolean getBooleanProperty(String propertyName,
                                             String query)

### createImportLocalCopy

    public static boolean createImportLocalCopy(OWLModel model,
                                                URI ontologyURI,
                                                File localFile)
                                         throws edu.stanford.smi.protege.exception.OntologyLoadException

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### isDublinCoreRedirectedToDLVersion

    public static boolean isDublinCoreRedirectedToDLVersion(RepositoryManager manager)

### setDublinCoreRedirectedToDLVersion

    public static void setDublinCoreRedirectedToDLVersion(RepositoryManager manager,
                                                          boolean redirect)

### getURI

    public static URI getURI(URL baseURL,
                             String relativeURL)
                      throws MalformedURLException,
                             URISyntaxException

  Throws:
    `MalformedURLException`
    `URISyntaxException`

### getRepositoryFileFromRelativePath

    public static File getRepositoryFileFromRelativePath(OWLModel model,
                                                         String s)

### stripQuery

    public static String stripQuery(String relativeURL)

### loadProjectRepositoriesFromURI

    public static void loadProjectRepositoriesFromURI(OWLModel owlModel,
                                                      URI uri,
                                                      boolean removeExistingRepositories)

  Loads the project repositories from a given URI. The file at the URI location should be in the repository file format expected by Protege.

  Parameters:
    `owlModel` - - the owl model
    `uri` - - the uri of the repository file
    `removeExistingRepositories` - - if true, it will remove all existing repository entries. If false, it will append to the old repositories entries the new ones loaded from uri.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.